Bug 1022015 - haproxy local-gear should not be reenabled when activating if it's currently disabled
haproxy local-gear should not be reenabled when activating if it's currently ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 09:40 EDT by Andy Goldstein
Modified: 2015-05-14 19:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:26:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Goldstein 2013-10-22 09:40:55 EDT
Description of problem: When a scalable app has enough gears such that the local-gear has been disabled (e.g. 3 gears), the local-gear is reenabled during a deployment/activation when it should remain disabled.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Create a scalable app
2. Scale up to 3 gears
3. Verify in the haproxy-status page that the local-gear is disabled
4. Make a change and deploy the change to the app

Actual results: local-gear is enabled


Expected results: local-gear remains disabled
Comment 2 openshift-github-bot 2013-10-22 23:46:45 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/a0014a2b7c36758947968a6ada2e68d59e9aef7a
Bug 1022015: Don't enable a disabled local gear on a git push.
Comment 3 Meng Bo 2013-10-23 05:06:50 EDT
Checked on devenv_3934, during git push, the MAINT gear will not be enabled.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.